Page MenuHomePhabricator

[Syntax] Remove a strict valid source location assertion for TypeLoc.
ClosedPublic

Authored by hokein on Feb 8 2021, 6:15 AM.

Details

Summary

The EndLoc of a type loc can be invalid for broken code.

Also extend the existing test to support error code with error-ok
annotation.

Diff Detail

Event Timeline

hokein requested review of this revision.Feb 8 2021, 6:15 AM
hokein created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 8 2021, 6:15 AM
sammccall accepted this revision.Feb 10 2021, 8:27 AM
This revision is now accepted and ready to land.Feb 10 2021, 8:27 AM
This revision was landed with ongoing or failed builds.Feb 11 2021, 12:58 AM
This revision was automatically updated to reflect the committed changes.